package com.bocloud.cmp.model.h3c;

/**
 * 主机池下共享文件系统
 */
public class H3cShareFileSystemModel {
    /**
     * 共享文件系统的名称。
     * 长整数（long）类型。
     */
    private String name;
    /**
     * 共享文件系统的类型。
     * 整型（int）类型。
     */
    private Integer type;
    /**
     * 主机池ID。
     * 长整数（long）类型。
     */
    private Long hpId;
    /**
     * 路径。
     * 字符串（String）类型。
     */
    private String path;
    /**
     * 是否只读。
     * 布尔类型。
     */
    private Boolean readOnly;
    private H3cStoragePoolModel.RsFsLunInfo rsFsLunInfo;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getHpId() {
        return hpId;
    }

    public void setHpId(Long hpId) {
        this.hpId = hpId;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Boolean getReadOnly() {
        return readOnly;
    }

    public void setReadOnly(Boolean readOnly) {
        this.readOnly = readOnly;
    }

    public H3cStoragePoolModel.RsFsLunInfo getRsFsLunInfo() {
        return rsFsLunInfo;
    }

    public void setRsFsLunInfo(H3cStoragePoolModel.RsFsLunInfo rsFsLunInfo) {
        this.rsFsLunInfo = rsFsLunInfo;
    }
}
